package io.useless.client.auth

import java.util.UUID
import scala.concurrent.Future

import io.useless.auth.AccessToken
import io.useless.play.json.AccessTokenJson._

class MockAuthClient(
  accessTokens: Seq[AccessToken]
) extends AuthClient {

  def getAccessToken(guid: UUID) = {
    val optAccessToken = accessTokens.find { _.guid == guid}
    Future.successful(optAccessToken)
  }

}