package io.useless.client

import play.api.libs.json.JsError

class ClientException(msg: String) extends RuntimeException(msg)

class UnexpectedStatusException(status: Int)
  extends ClientException("Unexpected status: %s".format(status.toString))

class InvalidJsonResponseException(result: JsError)
  extends ClientException("Received an invalid JSON response")
