package io.useless.client.auth

import java.util.UUID
import scala.concurrent.Future
import io.useless.auth.AccessToken

object AuthClient {

  def instance: AuthClient = new StandardAuthClient

}

trait AuthClient {

  def getAccessToken(guid: UUID): Future[Option[AccessToken]]

}
