package io.useless.client.login

import scala.concurrent.Future
import io.useless.login.Login

object LoginClient {

  def instance: LoginClient = new StandardLoginClient

}

trait LoginClient {

  def getLogin(email: String, password: String): Future[Option[Login]]

  def createLogin(
    email: String,
    password: String,
    handle: Option[String],
    name: Option[String]
  ): Future[Either[String, Login]]

}
